// Jean Luc Biellmann - contact@alsatux.com

"use strict";

var _TabFilterDelete = {
	init: function () {
		_DOM.listen('button_filter_manage_close', 'click', _TabFilterDelete.slot.hide);
		_DOM.listen('div_filters_list_delete', 'click', _TabFilterDelete.slot.click);
	},
	slot: {
		show: function (e) {
			return _Lock.action(e, function (e) {
				_TabFilterDelete.ls();
				_DOM.show('tab_filter_delete');
			});
		},
		hide: function (e) {
			return _Lock.action(e, function (e) {
				_DOM.hide('tab_filter_delete');
			});
		},
		click: function (e) {
			var obj = e.target;
			while (obj.nodeName!='SPAN' && obj!=null)
				obj = obj.parentNode;
			if (obj!=null) {
				_TabFilterDelete.del(obj.innerHTML);
				obj.remove();
			}
		}		
	},
	ls: function () {
		_DOM.id('div_filters_list_delete').innerHTML = '';
		for (var seq in _FilterDB.db) {
			var filter = _FilterDB.db[seq];
			_DOM.id('div_filters_list_delete').innerHTML += '\
			<span class="rounded">' + filter.value + '</span>';
		}
	},
	del: function (value) {
		_FilterDB.del_by_value(value);
		_TabFilter.ls();		
	}
};
